from distutils.core import setup, Extension

setup(
    name="pygdchart",
    version="2.0b1",
    description="Python bindings to the GDChart library",
    author="Nullcube Pty Ltd",
    author_email="aldo@nullcube.com",
    url="http://www.nullcube.com",
    py_modules = ["gdchart"],
    ext_modules=[
         Extension(
             "_gdchartc",
             ["_gdchartc.c"],
             library_dirs=[
                 "/usr/local/lib",
                 "/usr/X11R6/lib",
                 "/usr/lib"
             ],
             define_macros=[
                 ("HAVE_LIBFREETYPE", 1),
                 ("HAVE_JPEG", 1),
             ],
             libraries=["gdc", "gd", "png", "z", "jpeg", "freetype"]
         )
    ]
)
